import type { PWFV1 } from '../PWFV1';
import { Meshnode } from './Meshnode';
import { PWFMeshnode } from '../interface/PWFMeshnode';
export declare class MeshnodeServices {
    private meshnodeCount;
    private meshnodes;
    protected pwf: PWFV1;
    protected cachedMeshnodes: Map<number, Meshnode>;
    constructor(pwfMeshnodes: PWFMeshnode[], pwf: PWFV1);
    getMeshnodeFromIndex(index: number): Meshnode;
    getMeshnode(offset: number): Meshnode;
    numMeshnodes(): number;
    allMeshnodes(): NonNullable<MeshnodeServices['meshnodes']>;
    protected createMeshnode(pwfMeshnode: PWFMeshnode): Meshnode;
}
